{{- $navbar           := .Site.Params.navbar }}
{{- $sidebarVisible   := .Params.sidebar | default .Site.Params.sidebar }}
{{- $navbarLogo       := .Site.Params.navbarlogo }}
{{- $navbarLogoWidth  := .Site.Params.navbarlogo.width | default 112 }}
{{- $navbarLogoHeight := .Site.Params.navbarlogo.height | default 28 }}
<nav class="navbar is-fresh is-transparent no-shadow" role="navigation" aria-label="main navigation">
  <div class="container">
    <div class="navbar-brand">
      {{- if $navbarLogo}}
      <a class="navbar-item" href="{{ $navbarLogo.link }}">
        <img src="{{ printf "/images/%s" $navbarLogo.image | relURL }}" alt="" width="{{ $navbarLogoWidth }}" height="{{ $navbarLogoHeight }}">
      </a>
      {{- end}}

      {{- if $sidebarVisible }}
      <a class="navbar-item is-hidden-desktop is-hidden-tablet">
      </a>
      {{- end }}

      <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbar-menu">
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
      </a>
    </div>

      <div id="navbar-menu" class="navbar-menu is-static">

        {{- if $sidebarVisible }}
        <div class="navbar-start">
          <a class="navbar-item is-hidden-mobile">
          </a>
        </div>
        {{- end }}

        <div class="navbar-end">
          {{- range $navbar }}
          {{- if .sublinks }}
          <div class="navbar-item has-dropdown is-hoverable">
            <a class="navbar-link">
              {{ .title }}
            </a>

            <div class="navbar-dropdown">
              {{- range .sublinks }}
              <a href="{{ .url }}" class="navbar-item">
                {{ .title }}
              </a>
              {{- end }}
            </div>
          </div>
          {{- else if .button }}
          <a href="{{ .url }}" class="navbar-item">
            <span class="button signup-button rounded secondary-btn raised">
              {{ .title }}
            </span>
          </a>
          {{- else }}
          <a href="{{ .url }}" class="navbar-item is-secondary">
            {{ .title }}
          </a>
          {{- end }}
          {{- end }}
        </div>
      </div>
  </div>
</nav>
